%define name	opengroupware-gstep-objc
%define version	2.95.3	
%define cvs	20030721
%define release	%{cvs}.1mdk

Summary:     Objective-C runtime library
Name:        %{name}
Version:     %{version}
Release:     %{release}
License:   LGPL
URL: http://www.opengroupware.org
Group:       System/Libraries
Prefix:      %{_libdir}/opengroupware.org/system
BuildRoot:   %{_tmppath}/%{name}-buildroot
Requires:    opengroupware-gstep-make
Source:      opengroupware.org-gstep-objc-%{cvs}.tar.bz2
BuildRequires: opengroupware-gstep-make opengroupware-gstep-make-devel
Requires:  opengroupware-gstep-make opengroupware-gstep-make-devel
BuildRequires: gcc-objc

%description
This package contains the Objective-C runtime library.

%package devel
Summary: The header files for the Objective-C runtime library.
Group:   Development/Other

%description devel
The devel package contains the header files for the Objective-C runtime
library.

%prep
%setup -q -n opengroupware.org-gstep-objc

%build

GNUSTEP_SYSTEM_ROOT=''     && unset GNUSTEP_SYSTEM_ROOT
GNUSTEP_MAKEFILES=''       && unset GNUSTEP_MAKEFILES
GNUSTEP_LOCAL_ROOT=''      && unset GNUSTEP_LOCAL_ROOT
GNUSTEP_USER_ROOT=''       && unset GNUSTEP_USER_ROOT
LIBRARY_COMBO=''           && unset LIBRARY_COMBO
GNUSTEP_HOST=''            && unset GNUSTEP_HOST
GNUSTEP_HOST_CPU=''        && unset GNUSTEP_HOST_CPU
GNUSTEP_HOST_VENDOR=''     && unset GNUSTEP_HOST_VENDOR
GNUSTEP_HOST_OS=''         && unset GNUSTEP_HOST_OS
GNUSTEP_PATHPREFIX_LIST='' && unset GNUSTEP_PATHPREFIX_LIST

export PATH='/usr/local/gcc-cache:/usr/local/bin:/usr/bin:/bin'
export LD_LIBRARY_PATH='/usr/local/lib:/usr/lib:/lib:/usr/X11R6/lib:/opt/sybase/lib'

source %{_libdir}/opengroupware.org/system/Makefiles/GNUstep.sh
export GNUSTEP_USER_ROOT=%{_tmppath}/%{name}-root

make -s debug=yes all


%install

GNUSTEP_SYSTEM_ROOT=''     && unset GNUSTEP_SYSTEM_ROOT
GNUSTEP_MAKEFILES=''       && unset GNUSTEP_MAKEFILES
GNUSTEP_LOCAL_ROOT=''      && unset GNUSTEP_LOCAL_ROOT
GNUSTEP_USER_ROOT=''       && unset GNUSTEP_USER_ROOT
LIBRARY_COMBO=''           && unset LIBRARY_COMBO
GNUSTEP_HOST=''            && unset GNUSTEP_HOST
GNUSTEP_HOST_CPU=''        && unset GNUSTEP_HOST_CPU
GNUSTEP_HOST_VENDOR=''     && unset GNUSTEP_HOST_VENDOR
GNUSTEP_HOST_OS=''         && unset GNUSTEP_HOST_OS
GNUSTEP_PATHPREFIX_LIST='' && unset GNUSTEP_PATHPREFIX_LIST

export PATH='/usr/local/gcc-cache:/usr/local/bin:/usr/bin:/bin'
export LD_LIBRARY_PATH='/usr/local/lib:/usr/lib:/lib:/usr/X11R6/lib:/opt/sybase/lib'

echo "BUILD_ROOT: ${RPM_BUILD_ROOT}"
echo "BUILD_DIR:  ${RPM_BUILD_DIR}"

source %{prefix}/Makefiles/GNUstep.sh
export GNUSTEP_USER_ROOT=${RPM_BUILD_ROOT}%{prefix}/user

make debug=yes  GNUSTEP_INSTALLATION_DIR="${RPM_BUILD_ROOT}${GNUSTEP_SYSTEM_ROOT}" install
make -s distclean

%pre
if test "x${RPM_INSTALL_PREFIX}" = "x"; then
    RPM_INSTALL_PREFIX="%{prefix}"
fi

if ! test -d ${RPM_INSTALL_PREFIX}; then
  echo "missing RPM install path: ${RPM_INSTALL_PREFIX} !"
  exit 1
fi

GSCFG="${RPM_INSTALL_PREFIX}/Makefiles/GNUstep.sh"
if ! test -f $GSCFG ; then
  echo "missing GNUstep environment: ${GSCFG} !"
  exit 2
fi

%post
if test "x${RPM_INSTALL_PREFIX}" = "x"; then
    RPM_INSTALL_PREFIX="%{prefix}"
fi
ldconfig -n $RPM_INSTALL_PREFIX/Libraries/ix86/linux-gnu/gnu-fd-nil

%clean
rm -fr $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc README README.threads THREADS COPYING.LIB COPYING
%dir %{prefix}/Libraries
%dir %{prefix}/Libraries/ix86
%dir %{prefix}/Libraries/ix86/linux-gnu
%dir %{prefix}/Libraries/ix86/linux-gnu/gnu-fd-nil
%{prefix}/Libraries/ix86/linux-gnu/gnu-fd-nil/libobjc*.so*

%files devel
%defattr(-,root,root,-)
%{prefix}/Headers/objc

%changelog
* Mon Sep 1 2003 Austin Acton <aacton@yorku.ca> 2.95.3-20030721.1mdk
- from Spencer Anderson <sdander@oberon.ark.com> :
  - first Mandrake release
  - based on Redhat specfile
